#include <stdio.h>

int main(){
	unsigned m,n;
	unsigned i,j;
	unsigned suma;	

	scanf("%u %u",&m,&n);
	if(n>m){
		printf("-1\n");
		return 0;
	}	
	
	for(i=1; i<m-n+2; i++){
		suma=0;
		for(j=0; j<n; j++){
			suma+=(i+j);
		}
		printf("%u ",suma);
	}
	printf("\n");
	return 0;
}
